Name:           hct
Version:        0.7.60
Release:        2%{?dist}
Summary:        A HDL complexity tool

Group:          Development/Libraries
License:        GPLv3 and LGPLv3
URL:            http://hct.sourceforge.net/
Source0:        http://downloads.sourceforge.net/hct/hct-%{version}.tar.gz
Source1:        Makefile.PL
Patch0:         hct-set-env-hcthome.patch
Patch1:         hct-set-hct-path-for-moved-lang.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-Parse-Yapp

BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  perl(ExtUtils::MakeMaker)

%{?perl_default_filter}

%description 
The goal of the HCT is to generate scores that represent
the complexity of the constituent modules of large 
integrated circuit design projects – i.e. SOCs. The design's 
complexity scores are useful to verification
teams so as to efficiently focus resources based on the dynamic
complexity profile of a design. The scores are a useful tool to guide
HDL designer's re-factoring efforts.

%prep
%setup -q -n hct-%{version}
%patch0 -p1 -b .fix
%patch1 -p1 -b .hct

%{__sed} -e "s|PERL_VENDORLIB|'%{perl_vendorlib}'|" hct.pl > hct.ex
%{__chmod} +x hct.ex
touch -r hct.pl hct.ex
%{__mv} hct.ex hct

%{__cp} lang/hdl/vhdl/parser.pm parser.ex
dos2unix parser.ex
touch -r lang/hdl/vhdl/parser.pm parser.ex
%{__mv} parser.ex lang/hdl/vhdl/parser.pm

find . -depth \( -name 'config*'   -o  \
                 -name 'windows'   -o  \
                 -name 'Misc'      -o  \
                 -name 'Pod'       -o  \
                 -name '.svn'      -o  \
                 -name '*.svn'         \) \
  -exec %{__rm} -rf -- '{}' +

find . -depth \( -name 'Makefile*' -o   \
                 -name '*sh'       -o  \
                 -name '*.output'  -o  \
                 -name '*.yp'      -o  \
                 -name '*.y'       -o  \
                 -name '*.l'       -o  \
                 -name '*.hct'     -o  \
                 -name '.*pm'      -o  \
                 -name '\.\_*'     -o  \
                 -name '\#*'           \) \
  -exec %{__rm} -f -- '{}' +

%{__rm} -f src/perllib/HCT/Lang/YappParserTracer.pm

%{__chmod} -x src/perllib/HCT.pm
%{__chmod} -x lang/hdl/verilog.pm
%{__chmod} -x lang/README
%{__chmod} -x lang/hdl/cdl/lexer.pm
%{__chmod} -x lang/hdl/cdl.pm
%{__chmod} -x lang/hdl/vhdl/parser.pm
%{__chmod} -x lang/hdl/verilog/lexer.pm

%{__mkdir} lib
%{__mv} src/perllib/* lib/
%{__mv} lang lib/HCT
%{__rm} -rf src
%{__cp} %{SOURCE1} %{_builddir}/%{name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test TEST_VERBOSE=1

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{__rm} -f %{buildroot}/%{perl_vendorlib}/hct.pl

%{_fixperms} %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER README
%{perl_vendorlib}/*
%{_bindir}/hct
%{_mandir}/man3/*

%changelog
* Wed Jun 16 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> 0.7.60-2
- Appended slash in URL.
- Expanded IC as integrated circuits in description.
- Changed rm rf to use find syntax.
- Changed Makefile.PL to use hct instead of hct.pl.

* Thu May 13 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> 0.7.60-1
- Initial Fedora RPM version
